# Interface methods for submodule: SpatialFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FunctionBaseProxy as _FunctionBaseProxy


# Interface methods for class: SpatialFunction
class SpatialFunctionProxy(_FunctionBaseProxy):
	def GetNameOfClass(self):
		""""""
		...

	def Evaluate(self, input: Sequence[float]) -> float:
		""""""
		...

